osmium::diff_handler::DiffHandler Class Reference

`#include <diff_handler.hpp>`

## Public Member Functions

| DiffHandler ()=default
void | node (const osmium::DiffNode &) const
void | way (const osmium::DiffWay &) const
void | relation (const osmium::DiffRelation &) const

## Constructor & Destructor Documentation

osmium::diff_handler::DiffHandler::DiffHandler | ( |  | ) |

default

## Member Function Documentation

void osmium::diff_handler::DiffHandler::node | ( | const osmium::DiffNode & |  | ) | const

inline

void osmium::diff_handler::DiffHandler::relation | ( | const osmium::DiffRelation & |  | ) | const

inline

void osmium::diff_handler::DiffHandler::way | ( | const osmium::DiffWay & |  | ) | const

inline

The documentation for this class was generated from the following file:

- osmium/diff_handler.hpp